---
title: Introduction
tags: [getting_started]
audience: field engineers, clients
type: first_page
homepage: true
---

## Overview 

This site provides documentation, training, and other notes for the Jekyll Documentation theme. There's a lot of information about how to do a variety of things here, and it's not all unique to this theme. But by and large, understanding how to do things in Jekyll depends on how your theme is coded. As a result, these additional details are provided.

The instructions here are geared towards technical writers working on documentation. You may have a team of one or more technical writers working on documentation for multiple projects. You can use this same theme to author all of your documentation for each of your products. The theme is set up to push out documentation for multiple projects all from the same source. You can also share content across projects.

## Survey of features

Some of the more prominent features of this theme include the following:

* Bootstrap framework
* Sidebar for table of contents
* Top navigation bar with drop-down menus
* PDF generation (through Prince XML utility)
* Build scripts to automate the workflow
* Notes, tips, and warning information notes
* A nifty system for creating links to different pages
* Tags for alternative nativation
* Content sharing across projects
* Emphasis on pages, not posts
* Relative (rather than absolute) link structure, so you can push the outputs anywhere and easily view them

I'm using this theme for my documentation projects, building about 20 different outputs for various products, versions, languages, and audiences from the same set of files. This single sourcing requirement has influenced how I constructed this theme.

For more discussion about the available features, see {{site.data.mydoc.mydoc_urls.mydoc_supported_features.link}}.

## Getting started

To get started, see these three topics:

1. {{site.data.mydoc.mydoc_urls.mydoc_getting_started.link}}
2. {{site.data.mydoc.mydoc_urls.mydoc_configuration_settings.link}}
3. {{site.data.mydoc.mydoc_urls.mydoc_adding_new_projects.link}}

## PDF Download Option for Help Material

If you would like to download this help file as a PDF, you can do so here. The PDF is comprehensive of all the content in the online help.   

<a target="_blank" class="noCrossRef" href="files/{{site.pdf_file_name}}"><button type="button" class="btn btn-default" aria-label="Left Align"><span class="glyphicon glyphicon-download-alt" aria-hidden="true"></span> PDF Download</button></a>

The PDF contains a timestamp in the header indicating when it was last generated. 